/*!
    \file class_list.h
    \brief Definition of the Class List, that handles a Class-Specific-Control structure

*/

#ifndef _CLASS_LIST_H
#define _CLASS_LIST_H

#include "class_id.h"

// FORWARD DEFINITION
class BaseObject;
template<class T> class tList;


//! A class for
class ClassList {

 public:
  ClassList();
  virtual ~ClassList();


  void addToClassList(BaseObject* objectPointer, ClassID classID, const char* className);
 private:
   static ClassList* first;
   static ClassList* last;

   int classCount;


};

#endif /* _CLASS_LIST_H */
